package com.jay.monitor.data.server.models.request.trace;

import java.util.Date;

/**
 * @Module mq请求参数
 * @Description mq请求参数
 * @Author liukaixiong
 * @Date 2021/1/12 16:46
 */
public class SQLRequest extends PageRequest {

    /**
     * 主键名称
     */
    private Integer id;

    /**
     * 应用名称
     */
    private String applicationName;

    /**
     * 应用地址
     */
    private String ip;

    /**
     * 执行命令
     */
    private String commandType;
    /**
     * sql编号
     */
    private String sqlId;
    /**
     * 表名称
     */
    private String table;
    /**
     * SQL 语句
     */
    private String sql;

    /**
     * 影响行数
     */
    private Integer affectedRows;
    /**
     * 结果返回
     */
    private Object result;

    /**
     * 应用监控组
     */
    private String dataGroupName;

    /**
     * 应用监控key
     */
    private String dataGroupKey;

    /**
     * 数据编号
     */
    private String dataId;

    /**
     * 根日志编号
     */
    private String rootLogId;

    /**
     * 上级日志编号
     */
    private String parentLogId;

    /**
     * 日志编号
     */
    private String logId;

    /**
     * 状态1：正常消息 -1异常消息
     */
    private Integer status;

    /**
     * 请求时长
     */
    private Long requestTime;

    /**
     * 时间时间
     */
    private Date createdTime;

    private String jsonContent;

    public String getJsonContent() {
        return jsonContent;
    }

    public void setJsonContent(String jsonContent) {
        this.jsonContent = jsonContent;
    }

    public Integer getAffectedRows() {
        return affectedRows;
    }

    public void setAffectedRows(Integer affectedRows) {
        this.affectedRows = affectedRows;
    }

    public String getCommandType() {
        return commandType;
    }

    public void setCommandType(String commandType) {
        this.commandType = commandType;
    }

    public String getSqlId() {
        return sqlId;
    }

    public void setSqlId(String sqlId) {
        this.sqlId = sqlId;
    }

    public String getTable() {
        return table;
    }

    public void setTable(String table) {
        this.table = table;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public Object getResult() {
        return result;
    }

    public void setResult(Object result) {
        this.result = result;
    }

    public Long getRequestTime() {
        return requestTime;
    }

    public void setRequestTime(Long requestTime) {
        this.requestTime = requestTime;
    }

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getApplicationName() {
        return applicationName;
    }

    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getDataGroupName() {
        return dataGroupName;
    }

    public void setDataGroupName(String dataGroupName) {
        this.dataGroupName = dataGroupName;
    }

    public String getDataGroupKey() {
        return dataGroupKey;
    }

    public void setDataGroupKey(String dataGroupKey) {
        this.dataGroupKey = dataGroupKey;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public String getRootLogId() {
        return rootLogId;
    }

    public void setRootLogId(String rootLogId) {
        this.rootLogId = rootLogId;
    }

    public String getParentLogId() {
        return parentLogId;
    }

    public void setParentLogId(String parentLogId) {
        this.parentLogId = parentLogId;
    }

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }
}
